diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-plugins-list-table.php ./wordpress-3.4/wp-admin/includes/class-wp-plugins-list-table.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-plugins-list-table.php	2011-09-29 00:54:05.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/class-wp-plugins-list-table.php	2012-05-23 13:00:09.000000000 -0500
***************
*** 13,19 ****
  		global $status, $page;
  
  		$status = 'all';
! 		if ( isset( $_REQUEST['plugin_status'] ) && in_array( $_REQUEST['plugin_status'], array( 'active', 'inactive', 'recently_activated', 'upgrade', 'network', 'mustuse', 'dropins', 'search' ) ) )
  			$status = $_REQUEST['plugin_status'];
  
  		if ( isset($_REQUEST['s']) )
--- 13,19 ----
  		global $status, $page;
  
  		$status = 'all';
! 		if ( isset( $_REQUEST['plugin_status'] ) && in_array( $_REQUEST['plugin_status'], array( 'active', 'inactive', 'recently_activated', 'upgrade', 'mustuse', 'dropins', 'search' ) ) )
  			$status = $_REQUEST['plugin_status'];
  
  		if ( isset($_REQUEST['s']) )
***************
*** 65,96 ****
  			if ( apply_filters( 'show_advanced_plugins', true, 'dropins' ) )
  				$plugins['dropins'] = get_dropins();
  
! 			$current = get_site_transient( 'update_plugins' );
! 			foreach ( (array) $plugins['all'] as $plugin_file => $plugin_data ) {
! 				if ( isset( $current->response[ $plugin_file ] ) )
! 					$plugins['upgrade'][ $plugin_file ] = $plugin_data;
  			}
  		}
  
  		set_transient( 'plugin_slugs', array_keys( $plugins['all'] ), 86400 );
  
! 		$recently_activated = get_option( 'recently_activated', array() );
  
! 		$one_week = 7*24*60*60;
! 		foreach ( $recently_activated as $key => $time )
! 			if ( $time + $one_week < time() )
! 				unset( $recently_activated[$key] );
! 		update_option( 'recently_activated', $recently_activated );
  
  		foreach ( (array) $plugins['all'] as $plugin_file => $plugin_data ) {
  			// Filter into individual sections
! 			if ( is_multisite() && is_network_only_plugin( $plugin_file ) && !$screen->is_network ) {
! 				unset( $plugins['all'][ $plugin_file] );
! 			} elseif ( is_plugin_active_for_network($plugin_file) && !$screen->is_network ) {
  				unset( $plugins['all'][ $plugin_file ] );
! 			} elseif ( is_multisite() && is_network_only_plugin( $plugin_file ) && !current_user_can( 'manage_network_plugins' ) ) {
! 				$plugins['network'][ $plugin_file ] = $plugin_data;
! 			} elseif ( ( !$screen->is_network && is_plugin_active( $plugin_file ) )
  				|| ( $screen->is_network && is_plugin_active_for_network( $plugin_file ) ) ) {
  				$plugins['active'][ $plugin_file ] = $plugin_data;
  			} else {
--- 65,98 ----
  			if ( apply_filters( 'show_advanced_plugins', true, 'dropins' ) )
  				$plugins['dropins'] = get_dropins();
  
! 			if ( current_user_can( 'update_plugins' ) ) {
! 				$current = get_site_transient( 'update_plugins' );
! 				foreach ( (array) $plugins['all'] as $plugin_file => $plugin_data ) {
! 					if ( isset( $current->response[ $plugin_file ] ) ) {
! 						$plugins['all'][ $plugin_file ]['update'] = true;
! 						$plugins['upgrade'][ $plugin_file ] = $plugins['all'][ $plugin_file ];
! 					}
! 				}
  			}
  		}
  
  		set_transient( 'plugin_slugs', array_keys( $plugins['all'] ), 86400 );
  
! 		if ( ! $screen->is_network ) {
! 			$recently_activated = get_option( 'recently_activated', array() );
  
! 			$one_week = 7*24*60*60;
! 			foreach ( $recently_activated as $key => $time )
! 				if ( $time + $one_week < time() )
! 					unset( $recently_activated[$key] );
! 			update_option( 'recently_activated', $recently_activated );
! 		}
  
  		foreach ( (array) $plugins['all'] as $plugin_file => $plugin_data ) {
  			// Filter into individual sections
! 			if ( ! $screen->is_network && is_plugin_active_for_network( $plugin_file ) ) {
  				unset( $plugins['all'][ $plugin_file ] );
! 			} elseif ( ( ! $screen->is_network && is_plugin_active( $plugin_file ) )
  				|| ( $screen->is_network && is_plugin_active_for_network( $plugin_file ) ) ) {
  				$plugins['active'][ $plugin_file ] = $plugin_data;
  			} else {
***************
*** 100,108 ****
  			}
  		}
  
- 		if ( !current_user_can( 'update_plugins' ) )
- 			$plugins['upgrade'] = array();
- 
  		if ( $s ) {
  			$status = 'search';
  			$plugins['search'] = array_filter( $plugins['all'], array( &$this, '_search_callback' ) );
--- 102,107 ----
***************
*** 214,222 ****
  				case 'inactive':
  					$text = _n( 'Inactive <span class="count">(%s)</span>', 'Inactive <span class="count">(%s)</span>', $count );
  					break;
- 				case 'network':
- 					$text = _n( 'Network <span class="count">(%s)</span>', 'Network <span class="count">(%s)</span>', $count );
- 					break;
  				case 'mustuse':
  					$text = _n( 'Must-Use <span class="count">(%s)</span>', 'Must-Use <span class="count">(%s)</span>', $count );
  					break;
--- 213,218 ----
***************
*** 247,259 ****
  
  		$screen = get_current_screen();
  
! 		if ( 'active' != $status ) {
! 			$action = $screen->is_network ? 'network-activate-selected' : 'activate-selected';
! 			$actions[ $action ] = __( 'Activate' );
! 		}
  
  		if ( 'inactive' != $status && 'recent' != $status )
! 			$actions['deactivate-selected'] = __( 'Deactivate' );
  
  		if ( !is_multisite() || $screen->is_network ) {
  			if ( current_user_can( 'update_plugins' ) )
--- 243,253 ----
  
  		$screen = get_current_screen();
  
! 		if ( 'active' != $status )
! 			$actions['activate-selected'] = $screen->is_network ? __( 'Network Activate' ) : __( 'Activate' );
  
  		if ( 'inactive' != $status && 'recent' != $status )
! 			$actions['deactivate-selected'] = $screen->is_network ? __( 'Network Deactivate' ) : __( 'Deactivate' );
  
  		if ( !is_multisite() || $screen->is_network ) {
  			if ( current_user_can( 'update_plugins' ) )
***************
*** 282,288 ****
  
  		echo '<div class="alignleft actions">';
  
! 		if ( 'recently_activated' == $status )
  			submit_button( __( 'Clear List' ), 'secondary', 'clear-recent-list', false );
  		elseif ( 'top' == $which && 'mustuse' == $status )
  			echo '<p>' . sprintf( __( 'Files in the <code>%s</code> directory are executed automatically.' ), str_replace( ABSPATH, '/', WPMU_PLUGIN_DIR ) ) . '</p>';
--- 276,284 ----
  
  		echo '<div class="alignleft actions">';
  
! 		$screen = get_current_screen();
! 
! 		if ( ! $screen->is_network && 'recently_activated' == $status )
  			submit_button( __( 'Clear List' ), 'secondary', 'clear-recent-list', false );
  		elseif ( 'top' == $which && 'mustuse' == $status )
  			echo '<p>' . sprintf( __( 'Files in the <code>%s</code> directory are executed automatically.' ), str_replace( ABSPATH, '/', WPMU_PLUGIN_DIR ) ) . '</p>';
***************
*** 312,318 ****
  	}
  
  	function single_row( $plugin_file, $plugin_data ) {
! 		global $status, $page, $s;
  
  		$context = $status;
  
--- 308,314 ----
  	}
  
  	function single_row( $plugin_file, $plugin_data ) {
! 		global $status, $page, $s, $totals;
  
  		$context = $status;
  
***************
*** 320,328 ****
  
  		// preorder
  		$actions = array(
! 			'network_deactivate' => '', 'deactivate' => '',
! 			'network_only' => '', 'activate' => '',
! 			'network_activate' => '',
  			'edit' => '',
  			'delete' => '',
  		);
--- 316,323 ----
  
  		// preorder
  		$actions = array(
! 			'deactivate' => '',
! 			'activate' => '',
  			'edit' => '',
  			'delete' => '',
  		);
***************
*** 347,368 ****
  			if ( $plugin_data['Description'] )
  				$description .= '<p>' . $plugin_data['Description'] . '</p>';
  		} else {
- 			$is_active_for_network = is_plugin_active_for_network($plugin_file);
  			if ( $screen->is_network )
! 				$is_active = $is_active_for_network;
  			else
  				$is_active = is_plugin_active( $plugin_file );
  
- 			if ( $is_active_for_network && !is_super_admin() && !$screen->is_network )
- 				return;
- 
  			if ( $screen->is_network ) {
! 				if ( $is_active_for_network ) {
  					if ( current_user_can( 'manage_network_plugins' ) )
! 						$actions['network_deactivate'] = '<a href="' . wp_nonce_url('plugins.php?action=deactivate&amp;networkwide=1&amp;plugin=' . $plugin_file . '&amp;plugin_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'deactivate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Deactivate this plugin') . '">' . __('Network Deactivate') . '</a>';
  				} else {
  					if ( current_user_can( 'manage_network_plugins' ) )
! 						$actions['network_activate'] = '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;networkwide=1&amp;plugin=' . $plugin_file . '&amp;plugin_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'activate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Activate this plugin for all sites in this network') . '" class="edit">' . __('Network Activate') . '</a>';
  					if ( current_user_can( 'delete_plugins' ) && ! is_plugin_active( $plugin_file ) )
  						$actions['delete'] = '<a href="' . wp_nonce_url('plugins.php?action=delete-selected&amp;checked[]=' . $plugin_file . '&amp;plugin_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'bulk-plugins') . '" title="' . esc_attr__('Delete this plugin') . '" class="delete">' . __('Delete') . '</a>';
  				}
--- 342,359 ----
  			if ( $plugin_data['Description'] )
  				$description .= '<p>' . $plugin_data['Description'] . '</p>';
  		} else {
  			if ( $screen->is_network )
! 				$is_active = is_plugin_active_for_network( $plugin_file );
  			else
  				$is_active = is_plugin_active( $plugin_file );
  
  			if ( $screen->is_network ) {
! 				if ( $is_active ) {
  					if ( current_user_can( 'manage_network_plugins' ) )
! 						$actions['deactivate'] = '<a href="' . wp_nonce_url('plugins.php?action=deactivate&amp;plugin=' . $plugin_file . '&amp;plugin_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'deactivate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Deactivate this plugin') . '">' . __('Network Deactivate') . '</a>';
  				} else {
  					if ( current_user_can( 'manage_network_plugins' ) )
! 						$actions['activate'] = '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;plugin=' . $plugin_file . '&amp;plugin_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'activate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Activate this plugin for all sites in this network') . '" class="edit">' . __('Network Activate') . '</a>';
  					if ( current_user_can( 'delete_plugins' ) && ! is_plugin_active( $plugin_file ) )
  						$actions['delete'] = '<a href="' . wp_nonce_url('plugins.php?action=delete-selected&amp;checked[]=' . $plugin_file . '&amp;plugin_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'bulk-plugins') . '" title="' . esc_attr__('Delete this plugin') . '" class="delete">' . __('Delete') . '</a>';
  				}
***************
*** 394,399 ****
--- 385,392 ----
  		}
  
  		$id = sanitize_title( $plugin_name );
+ 		if ( ! empty( $totals['upgrade'] ) && ! empty( $plugin_data['update'] ) )
+ 			$class .= ' update';
  
  		echo "<tr id='$id' class='$class'>";
  
***************
*** 448,452 ****
  		do_action( "after_plugin_row_$plugin_file", $plugin_file, $plugin_data, $status );
  	}
  }
- 
- ?>
--- 441,443 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-posts-list-table.php ./wordpress-3.4/wp-admin/includes/class-wp-posts-list-table.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-posts-list-table.php	2011-11-17 12:01:08.000000000 -0600
--- ./wordpress-3.4/wp-admin/includes/class-wp-posts-list-table.php	2012-06-10 11:22:55.000000000 -0500
***************
*** 360,366 ****
  				if ( $page->post_parent == $page->ID ) {
  					$page->post_parent = 0;
  					$wpdb->update( $wpdb->posts, array( 'post_parent' => 0 ), array( 'ID' => $page->ID ) );
! 					clean_page_cache( $page->ID );
  				}
  
  				if ( 0 == $page->post_parent )
--- 360,366 ----
  				if ( $page->post_parent == $page->ID ) {
  					$page->post_parent = 0;
  					$wpdb->update( $wpdb->posts, array( 'post_parent' => 0 ), array( 'ID' => $page->ID ) );
! 					clean_post_cache( $page );
  				}
  
  				if ( 0 == $page->post_parent )
***************
*** 527,535 ****
  ?>
  			<td <?php echo $attributes ?>><strong><?php if ( $can_edit_post && $post->post_status != 'trash' ) { ?><a class="row-title" href="<?php echo $edit_link; ?>" title="<?php echo esc_attr( sprintf( __( 'Edit &#8220;%s&#8221;' ), $title ) ); ?>"><?php echo $title ?></a><?php } else { echo $title; }; _post_states( $post ); ?></strong>
  <?php
! 					if ( 'excerpt' == $mode ) {
  						the_excerpt();
- 					}
  				}
  
  				$actions = array();
--- 527,534 ----
  ?>
  			<td <?php echo $attributes ?>><strong><?php if ( $can_edit_post && $post->post_status != 'trash' ) { ?><a class="row-title" href="<?php echo $edit_link; ?>" title="<?php echo esc_attr( sprintf( __( 'Edit &#8220;%s&#8221;' ), $title ) ); ?>"><?php echo $title ?></a><?php } else { echo $title; }; _post_states( $post ); ?></strong>
  <?php
! 					if ( 'excerpt' == $mode && current_user_can( 'read_post', $post->ID ) )
  						the_excerpt();
  				}
  
  				$actions = array();
***************
*** 609,615 ****
  							esc_html( sanitize_term_field( 'name', $c->name, $c->term_id, 'category', 'display' ) )
  						);
  					}
! 					echo join( ', ', $out );
  				} else {
  					_e( 'Uncategorized' );
  				}
--- 608,615 ----
  							esc_html( sanitize_term_field( 'name', $c->name, $c->term_id, 'category', 'display' ) )
  						);
  					}
! 					/* translators: used between list items, there is a space after the comma */
! 					echo join( __( ', ' ), $out );
  				} else {
  					_e( 'Uncategorized' );
  				}
***************
*** 629,635 ****
  							esc_html( sanitize_term_field( 'name', $c->name, $c->term_id, 'tag', 'display' ) )
  						);
  					}
! 					echo join( ', ', $out );
  				} else {
  					_e( 'No Tags' );
  				}
--- 629,636 ----
  							esc_html( sanitize_term_field( 'name', $c->name, $c->term_id, 'tag', 'display' ) )
  						);
  					}
! 					/* translators: used between list items, there is a space after the comma */
! 					echo join( __( ', ' ), $out );
  				} else {
  					_e( 'No Tags' );
  				}
***************
*** 995,1014 ****
  	<?php if ( post_type_supports( $screen->post_type, 'post-formats' ) && current_theme_supports( 'post-formats' ) ) :
  		$post_formats = get_theme_support( 'post-formats' );
  		if ( isset( $post_formats[0] ) && is_array( $post_formats[0] ) ) :
! 			$all_post_formats = get_post_format_strings(); ?>
  			<div class="inline-edit-group">
  				<label class="alignleft" for="post_format">
! 				<span class="title"><?php _e( 'Post Format' ); ?></span>
  				<select name="post_format">
  				<?php if ( $bulk ) : ?>
  					<option value="-1"><?php _e( '&mdash; No Change &mdash;' ); ?></option>
  				<?php endif; ?>
  					<option value="0"><?php _ex( 'Standard', 'Post format' ); ?></option>
! 				<?php foreach ( $all_post_formats as $slug => $format ):
! 					if ( $slug != 'standard' ) : ?>
! 					<option value="<?php echo esc_attr( $slug ); ?>"<?php if ( ! in_array( $slug, $post_formats[0] ) ) echo ' class="unsupported"'; ?>><?php echo esc_html( $format ); ?></option>
! 					<?php endif;
! 				endforeach; ?>
  				</select></label>
  			</div>
  		<?php endif; ?>
--- 996,1018 ----
  	<?php if ( post_type_supports( $screen->post_type, 'post-formats' ) && current_theme_supports( 'post-formats' ) ) :
  		$post_formats = get_theme_support( 'post-formats' );
  		if ( isset( $post_formats[0] ) && is_array( $post_formats[0] ) ) :
! 			$all_post_formats = get_post_format_strings();
! 			unset( $all_post_formats['standard'] ); ?>
  			<div class="inline-edit-group">
  				<label class="alignleft" for="post_format">
! 				<span class="title"><?php _ex( 'Format', 'post format' ); ?></span>
  				<select name="post_format">
  				<?php if ( $bulk ) : ?>
  					<option value="-1"><?php _e( '&mdash; No Change &mdash;' ); ?></option>
  				<?php endif; ?>
  					<option value="0"><?php _ex( 'Standard', 'Post format' ); ?></option>
! 				<?php foreach ( $all_post_formats as $slug => $format ) :
! 					$unsupported = ! in_array( $slug, $post_formats[0] );
! 					if ( $bulk && $unsupported )
! 						continue;
! 					?>
! 					<option value="<?php echo esc_attr( $slug ); ?>"<?php if ( $unsupported ) echo ' class="unsupported"'; ?>><?php echo esc_html( $format ); ?></option>
! 				<?php endforeach; ?>
  				</select></label>
  			</div>
  		<?php endif; ?>
***************
*** 1050,1054 ****
  <?php
  	}
  }
- 
- ?>
--- 1054,1056 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/class-wp-terms-list-table.php ./wordpress-3.4/wp-admin/includes/class-wp-terms-list-table.php
*** ./wordpress-3.3.2/wp-admin/includes/class-wp-terms-list-table.php	2011-11-23 09:20:45.000000000 -0600
--- ./wordpress-3.4/wp-admin/includes/class-wp-terms-list-table.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 42,48 ****
  	function prepare_items() {
  		global $taxonomy;
  
! 		$tags_per_page = $this->get_items_per_page( 'edit_' .  $taxonomy . '_per_page' );
  
  		if ( 'post_tag' == $taxonomy ) {
  			$tags_per_page = apply_filters( 'edit_tags_per_page', $tags_per_page );
--- 42,48 ----
  	function prepare_items() {
  		global $taxonomy;
  
! 		$tags_per_page = $this->get_items_per_page( 'edit_' . $taxonomy . '_per_page' );
  
  		if ( 'post_tag' == $taxonomy ) {
  			$tags_per_page = apply_filters( 'edit_tags_per_page', $tags_per_page );
***************
*** 378,382 ****
  	<?php
  	}
  }
- 
- ?>
--- 378,380 ----
